#  Wednesday - builds are uploaded here: http://dev-builds.libreoffice.org/pre-releases/rpm/x86/
#  Thursday - builds are uploaded on mirrors
#  Friday - builds are available via the official pre-release site
# final release is usually announced on Wednesday, few days after the final release candidate is out.
%define name lomanager
Name:           %{name}
Version:        5.2.3
Release:        %mkrel 2
License:        GNU General Public License (GPL)
URL:            http://www.pclinuxos.com/forum/index.php/topic=59009.0.html
Source:         %{name}-%{version}.tar.xz
Summary:        Script to install LibreOffice in one of 110 languages
Summary(de):    Skript zur Installation von LibreOffice in einer von 110 Sprachen
Summary(fr):	Script pour installer LibreOffice en 110 langues
Group:          Office
Requires:	zenity gksu bc awk wget sed wmctrl webcore-fonts curl xdg-utils rootcerts
Requires:	apt apt-common %{_lib}gnome-vfs2_0 python-pillow locales-en libnotify
Requires:   	desktop-common-data >= 2010-11	
Obsoletes:	%name < %version
Obsoletes:      getopenoffice <= 1.8
Provides:       getopenoffice = %version-%release
Provides:	lomanager = %version-%release
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    no

%description
To manage LibreOffice start the program lomanager from:
PCmenu -> Software Center -> LibreOffice Manger
and follow the instructions.

The user-friendly and verbose bash-script lomanager automates the management
of LibreOffice (install/update/remove and adding locales).
You now have an easy one-step solution to manage LibreOffice in English 
or in widely spoken languages like Arabic, French, Chinese, Spanish, German,
and even exotic ones like Zulu or Welsh.

%description -l de
Das benutzerfreundliche und verbose bash-Skript lomanager automatisiert das Hinzufügen von
LibreOffice in der Sprache des Benutzers/System-Lokalisierung. Sie haben nun eine einfache
Ein-Schritt-Lösung zur Installation von LibreOffice in Englisch oder anderen Sprachen wie
Arabisch, Französisch, Chinesisch, Spanisch, Deutsch, und sogar Exoten wie Zulu oder Walisisch

%description -l fr
A user-friendly et verbose-script bash lomanager automatise l'ajout de
LibreOffice dans la langue de l'utilisateur / locale dans le système. Vous
avez maintenant une seule étape facile solution pour installer LibreOffice en
français ou en langues de grande diffusion comme l'arabe, français,
chinois, espagnol, allemand, et même exotiques, comme le zoulou ou gallois.

%description -l nl
Een gebruiksvriendelijke en verbose bash-script lomanager automatiseert het toevoegen
LibreOffice in de taal van de gebruiker / locale aan het systeem.
U hebt nu een eenvoudige een-staps oplossing om LibreOffice installeren in het Engels
of in gesproken talen zoals Arabisch, Frans, Chinees, Spaans, Duits,
en zelfs exotische zoals Zulu of Welsh.

%description -l es
Un usuario-bash amable y detallado-script automatiza lomanager añadir
LibreOffice en la lengua del usuario / configuración regional del sistema.
Ahora tiene una fácil solución de paso para instalar LibreOffice en Inglés
o se habla idiomas como el árabe, francés, chino, español, alemán,
y incluso los exóticos como Zulu o el galés.

%description -l it
A user-friendly e verbose bash-script lomanager automatizza l'aggiunta di
LibreOffice nella lingua dell'utente / locale al sistema.
Avete ora un facile soluzione passo per installare LibreOffice in italiano
o parlate in lingue come l'arabo, francese, cinese, spagnolo, tedesco,
e perfino quelli esotici, come Zulu o gallesi.

%description -l pl
Przyjazne dla użytkownika oraz tryb bash skrypt lomanager automatyzuje dodawanie
LibreOffice na język użytkownika / locale w systemie.
Teraz masz łatwe rozwiązanie kroku, aby zainstalować LibreOffice w języku angielskim
lub w powszechnie używanych języków takich jak arabski, francuski, chiński, hiszpański, niemiecki,
a nawet egzotyczne jak Zulu i walijski.

%description -l sr
Корисника и детаљни-басх-скрипта ГетОпенОффице аутоматизује додавање
ОпенОффице на језику корисника / лоцале систем.
Сада сте једноставно један корак решење да инсталирате ОпенОффице на енглеском
или у широкој употреби језика као што су арапски, француски, кинески, шпански, немачки,
па чак и оних попут егзотичне зулу или велшки.

%prep

%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=LibreOffice Manager
Name[ar]=LibreOffice مدير
Name[bg]=LibreOffice мениджър
Name[cs]=LibreOffice manažer
Name[da]=LibreOffice Manager
Name[de]=LibreOffice Manager
Name[el]=Διαχειριστής LibreOffice
Name[es]=Manager de LibreOffice
Name[fi]=LibreOffice johtaja
Name[fr]=Gestionnaire de LibreOffice
Name[it]=LibreOffice Manager
Name[ja]=LibreOfficeマネージャ
Name[nl]=LibreOffice Beheerder
Name[pl]=Instalator LibreOffice
Name[pt]=Manager do LibreOffice
Name[ru]=LibreOffice менеджер
Name[sr]=Менаџер LibreOffice
Name[sv]=LibreOffice chef
Name[tr]=LibreOffice yöneticisi
Name[uk]=LibreOffice менеджер
Name[zh]=LibreOffice经理
GenericName=LibreOffice Manager
Type=Application
Exec=/usr/bin/gksu lomanager
Icon=office_section.png
Comment=Install, update, remove or add other LibreOffice languages
Comment[ar]=LibreOffice تثبيت وتحديث وإزالة أو إضافة لغات أخرى 
Comment[bg]=Инсталиране, Премахване на, обновяване или добавяне на локализация за LibreOffice
Comment[cs]=Instalujte, odstante, aktualizujte nebo pridejte lokalizaci LibreOffice
Comment[da]=Installere, opdatere, fjerne eller tilføje andre LibreOffice sprog
Comment[de]=Installieren, update, entfernen von LibreOffice in verschiedenen Sprachen
Comment[el]=Install, Ολική διαγραφή του, upgrade, ή πρόσθεση LibreOffice locale
Comment[es]=Instalar, desinstalar, actualizar o agregar la localización de LibreOffice
Comment[fi]=Asentaa, päivittää, poistaa tai lisätä muita LibreOffice kielillä
Comment[fr]=Installez, mettre à jour, supprimez LibreOffice dans la langue de votre choix
Comment[it]=Installa, aggiorna, elimina o aggiungi LibreOffice in lingue diverse
Comment[ja]=インストール、更新、削除、または他のLibreOffice言語を追加する
Comment[nl]=Installeren, update, verwijderen van LibreOffice in verschillende talen
Comment[pl]=Install, calkowite usuniecie, upgrade, lub dolacz LibreOffice locale
Comment[pt]=Instalar, remover, upgrade, ou adicionar LibreOffice locale
Comment[ru]=Установка, Полностью удалить, обновление или добавление LibreOffice locale
Comment[sr]=Инсталирајте или ажурирајте LibreнОфис програм на жељеном језику
Comment[sv]=Installera, flytta, uppdatera LibreOffice på ditt språk.
Comment[tr]=Yükleme, güncelleme kaldırmak veya diğer LibreOffice dilleri ekleyin
Comment[uk]=Інсталювати, Видалення, оновити або додати LibreOffice locale
Comment[zh]=安装，更新，删除或添加其他LibreOffice语言
Categories=PackageManager;GTK;System;X-MandrivaLinux-System-Configuration;X-MandrivaLinux-Office;X-MandrivaLinux-System-Configuration-Packaging;
Comment=Manage installation/update/removal and localization of LibreOffice
Terminal=false
StartupNotify=true
EOF


#translations
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/bg/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/cs/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/de/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/el/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/es/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/fr/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/it/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/nl/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/pl/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/pt/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/ru/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/sr/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale/uk/LC_MESSAGES


install -m 0644 lomanager[bg].mo $RPM_BUILD_ROOT/%_datadir/locale/bg/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[cs].mo $RPM_BUILD_ROOT/%_datadir/locale/cs/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[de].mo $RPM_BUILD_ROOT/%_datadir/locale/de/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[el].mo $RPM_BUILD_ROOT/%_datadir/locale/el/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[es].mo $RPM_BUILD_ROOT/%_datadir/locale/es/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[fr].mo $RPM_BUILD_ROOT/%_datadir/locale/fr/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[it].mo $RPM_BUILD_ROOT/%_datadir/locale/it/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[nl].mo $RPM_BUILD_ROOT/%_datadir/locale/nl/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[pl].mo $RPM_BUILD_ROOT/%_datadir/locale/pl/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[pt].mo $RPM_BUILD_ROOT/%_datadir/locale/pt/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[ru].mo $RPM_BUILD_ROOT/%_datadir/locale/ru/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[sr].mo $RPM_BUILD_ROOT/%_datadir/locale/sr/LC_MESSAGES/lomanager.mo
install -m 0644 lomanager[uk].mo $RPM_BUILD_ROOT/%_datadir/locale/uk/LC_MESSAGES/lomanager.mo


%posttrans
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
 do INP1= rm -rf /home/$idx/Desktop/getopenoffice.desktop; done
notify-send "LibreOffice Manager" "To manage the installation of LibreOffice please run: PCmenu -> Software Center -> LibreOffice Manager" -i /usr/share/icons/office_section.png -t 120000  


%files 
%defattr(-, root, root)
%{_bindir}/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/locale/*/LC_MESSAGES/lomanager.mo

%changelog
* Wed Dec 21 2016 adrianomorselli <adrianomorselli> 5.2.3-2uplos2016
- rebuild with old automake and libtool

* Sat Dec 17 2016 adrianomorselli <adrianomorselli> 5.2.3-1uplos2016
- rebuild

* Sat Oct 29 2016 woodhead <pp> 5.2.3-1pclos2016
- update

* Fri Sep 22 2016 woodhead <pp> 5.2.2-1pclos2016
- update

* Fri Aug 26 2016 woodhead <pp> 5.2.1-1pclos2016
- update

* Mon Aug 01 2016 woodhead <pp> 5.2.0-1pclos2016
- update

* Thu Jun 16 2016 woodhead <pp> 5.1.4-1pclos2016
- update

* Thu May 05 2016 woodhead <pp> 5.1.3-1pclos2016
- update

* Sun Apr 03 2016 woodhead <pp> 5.1.2-1pclos2016
- update

* Thu Mar 03 2016 woodhead <pp> 5.1.1-1pclos2016
- update

